with import <nixpkgs> {
  overlays = [
    (final: prev: {
      tcc-mob = final.callPackage ./nix/tinycc.nix { stdenv = final.gcc13Stdenv; };
      chicken = final.callPackage ./nix/chicken.nix { stdenv = final.gcc13Stdenv; };
    })
  ];
};
mkShell {
  packages = with pkgs; [
    tcc-mob
    chicken
    rlwrap
  ]
  # ++ (with pkgs.chickenPackages_5.chickenEggs; [
  #   apropos
  #   chicken-doc
  #   srfi-1
  #   srfi-18
  #   lsp-server
  #   srfi-152
  # ])
  ;
  shellHook = ''
    export CC="${pkgs.tcc-mob}/bin/tcc"
    export CHICKEN_PREFIX="$HOME/.chicken"
    export CHICKEN_INSTALL_REPOSITORY="$HOME/.chicken/eggs"
    export CHICKEN_REPOSITORY_PATH="${pkgs.chicken}/lib/chicken/12:$HOME/.chicken/eggs"
    export PATH="$PATH:$CHICKEN_PREFIX"
    export CHICKEN_PREFIX="${pkgs.chicken}"
  '';
}
